PDF::API3::Compat::API2::Basic::TTF::Hdmx(3)

NAME
PDF::API3::Compat::API2::Basic::TTF::Hdmx - Horizontal device metrics

DESCRIPTION
The table consists of an hash of device metric tables indexed by the ppem for that subtable. Each subtable consists of an array of advance widths in pixels for each glyph at that ppem (horizontally).

INSTANCE VARIABLES
Individual metrics are accessed using the following referencing:

    $f->{'hdmx'}{$ppem}[$glyph_num]

In addition there is one instance variable:

Num Number of device tables.

  METHODS

  $t->read
Reads the table into data structures

  $t->out($fh)
Outputs the device metrics for this font

  $t->tables_do(&func)
For each subtable it calls &sub($ref, $ppem)

  $t->XML_element($context, $depth, $key, $value)
Outputs device metrics a little more tidily

BUGS
None known

AUTHOR
Martin Hosken Martin_Hosken@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.